package com.lqkj.camera.model;


import java.util.Date;

/**
 * 相机信息
 */
public class CameraVo implements java.io.Serializable{
    private String rtsp; //相机RTSP地址
    private String rtmp; //相机转流RTMP地址
    private String httpFlv; //相机转流http-flv地址
    private Date openTime; //转流开始时间
    private int count = 0; //当前在线人数
    private String token; //token

    public CameraVo() {
    }

    public CameraVo(String rtsp) {
        this.rtsp = rtsp;
    }

    public String getRtsp() {
        return rtsp;
    }

    public void setRtsp(String rtsp) {
        this.rtsp = rtsp;
    }

    public String getRtmp() {
        return rtmp;
    }

    public void setRtmp(String rtmp) {
        this.rtmp = rtmp;
    }

    public String getHttpFlv() {
        return httpFlv;
    }

    public void setHttpFlv(String httpFlv) {
        this.httpFlv = httpFlv;
    }

    public Date getOpenTime() {
        return openTime;
    }

    public void setOpenTime(Date openTime) {
        this.openTime = openTime;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
