package com.lqkj.common.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.lqkj.common.core.redis.RedisCache;
import com.lqkj.common.utils.http.HttpUtils;
import com.lqkj.common.utils.spring.SpringUtils;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Objects;
import java.util.concurrent.TimeUnit;

public class TokenUtils {

    private static final String TOKENKEY = "https://wunlzt.cdwh.gov.cn";

    public static String getToken() {
        if (Objects.isNull(SpringUtils.getBean(RedisCache.class).getCacheObject(TOKENKEY))){
            String response = HttpUtils.sendGet("https://wunlzt.cdwh.gov.cn/apis/daas/token?appID=819ee3726ceff963a5f6877de2d92c00&appSecret=4fd078c9fef8ee0f1311e2d1661619c5", "");
            JSONObject jsonObject = JSON.parseObject(response);
            if (!"200".equals(JSON.parseObject(jsonObject.getString("meta")).getString("status_code"))) return null;
            String token = JSON.parseObject(jsonObject.getString("data")).getString("token");
            SpringUtils.getBean(RedisCache.class).setCacheObject(TOKENKEY, token, 20, TimeUnit.MINUTES);
        }
        return SpringUtils.getBean(RedisCache.class).getCacheObject(TOKENKEY);
    }
}
