package com.lqkj.framework.security;

import org.springframework.context.annotation.Bean;
   import org.springframework.context.annotation.Configuration;
   import org.springframework.web.cors.CorsConfiguration;
   import org.springframework.web.cors.CorsConfigurationSource;
   import org.springframework.web.cors.UrlBasedCorsConfigurationSource;

   @Configuration
   public class WebConfig {

       @Bean
       public CorsConfigurationSource corsConfigurationSource() {
           CorsConfiguration configuration = new CorsConfiguration();
           configuration.addAllowedOrigin("*"); // 允许所有来源，也可以指定特定的域名
           configuration.addAllowedMethod("*"); // 允许所有HTTP方法
           configuration.addAllowedHeader("*"); // 允许所有请求头
           UrlBasedCorsConfigurationSource source = new UrlBasedCorsConfigurationSource();
           source.registerCorsConfiguration("/**", configuration);
           return source;
       }
   }