package com.lqkj.supporting.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.vividsolutions.jts.geom.Geometry;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 资源点位对象对象 resources_info
 *
 * @author lqkj
 * @date 2025-05-07
 */
public class ResourcesInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 信息ID */
    private Integer infoId;

    /** 类型编号：type_id */
    @Excel(name = "类型编号：type_id")
    private Integer typeId;

    /** 名字：area_name */
    @Excel(name = "名字：area_name")
    private String infoName;

    /** 备注：memo */
    @Excel(name = "备注：memo")
    private String memo;

    /** 坐标： location */
    @Excel(name = "坐标： location")
    private Object location;

    private String typeName;

    private int distance;

    public void setInfoId(Integer infoId)
    {
        this.infoId = infoId;
    }

    public Integer getInfoId()
    {
        return infoId;
    }
    public void setTypeId(Integer typeId)
    {
        this.typeId = typeId;
    }

    public Integer getTypeId()
    {
        return typeId;
    }
    public void setInfoName(String infoName)
    {
        this.infoName = infoName;
    }

    public String getInfoName()
    {
        return infoName;
    }
    public void setMemo(String memo)
    {
        this.memo = memo;
    }

    public String getMemo()
    {
        return memo;
    }
    public void setLocation(Object location)
    {
        this.location = location;
    }

    public Object getLocation()
    {
        return location;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public int getDistance() {
        return distance;
    }

    public void setDistance(int distance) {
        this.distance = distance;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("infoId", getInfoId())
            .append("typeId", getTypeId())
            .append("infoName", getInfoName())
            .append("memo", getMemo())
            .append("location", getLocation())
            .toString();
    }
}
