package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 发展定位：developments对象 developments
 * 
 * @author lqkj
 * @date 2024-12-13
 */
public class Developments extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 名称 */
    @Excel(name = "名称")
    private String developmentName;

    /** 文件路径 */
    @Excel(name = "文件路径")
    private String url;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    @Transient
    private String orderBy;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setDevelopmentName(String developmentName) 
    {
        this.developmentName = developmentName;
    }

    public String getDevelopmentName() 
    {
        return developmentName;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }


    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("content", getContent())
            .append("developmentName", getDevelopmentName())
            .append("url", getUrl())
            .append("fileName", getFileName())
            .append("createTime", getCreateTime())
            .append("orderBy", getOrderBy())
            .toString();
    }
}