package com.lqkj.ioc.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface SupportResourcesMapper {

    @Select("SELECT count(si.traffic_id), tt.type_name  FROM traffic_type tt " +
            "LEFT JOIN traffic_info ti on tt.type_id  = ti.type_id " +
            "LEFT JOIN station_info si ON ti.traffic_id = si.traffic_id " +
            "GROUP BY tt.type_name "
    )
    List<Map<String, Object>> transport();

    @Select("SELECT ot.type_name, count(oi.organization_id) FROM organization_type ot " +
            "LEFT JOIN organization_info oi on ot.type_id = oi.type_id " +
            "GROUP BY ot.type_id "
    )
    List<Map<String, Object>> convenient();
}
