package com.lqkj.ioc.service;


import com.lqkj.ioc.mapper.SupportResourcesMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class SupportResourcesServer {

    @Autowired
    private SupportResourcesMapper supportResourcesMapper;

    public List transport() {
        List<Map<String, Object>> transport = supportResourcesMapper.transport();
        HashMap<String, Object> map1 = new HashMap<>();
        map1.put("type_name", "停车场");
        map1.put("count", 152);
        HashMap<String, Object> map2 = new HashMap<>();
        map2.put("type_name", "充电桩");
        map2.put("count", 561);
        HashMap<String, Object> map3 = new HashMap<>();
        map3.put("type_name", "加油站");
        map3.put("count", 323);
        transport.add(map1);
        transport.add(map2);
        transport.add(map3);
        return transport;
    }

    public List convenient() {
        return supportResourcesMapper.convenient();
    }
}
