package com.lqkj.office.controller;

import com.lqkj.common.core.controller.BaseController;
import com.lqkj.office.service.JodConvertService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jodconverter.office.OfficeException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.File;

@Api(tags = {"文档转pdf"})
@RestController
@RequestMapping("/openoffice")
public class OpenOfficeController extends BaseController {
    @Autowired
    private JodConvertService jodConvertService;
    @ApiOperation("word文档转pdf")
    @GetMapping("/docToPdf")
    public void docToPdf() throws OfficeException {
        File newFile = new File("D://test.pdf");
        File sourceFile = new File("D://软件开发合同范本.docx");
        jodConvertService.convert(sourceFile, newFile);
    }
    @ApiOperation("excel转pdf")
    @GetMapping("/excelToPdf")
    public void excelToPdf() throws OfficeException {
        File newFile = new File("D://test-excel.pdf");
        File sourceFile = new File("D://优惠券系统功能.xlsx");
        jodConvertService.convertExcelToPDFByFitColumn(sourceFile, newFile);
    }
}
