package com.lqkj.quartz.task;

import com.lqkj.common.utils.StringUtils;
import org.springframework.stereotype.Component;

/**
 * 定时任务调度测试
 * 
 * @author lh
 */
@Component("lwTask")
public class LwTask
{
    public void lwMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void lwParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void lwNoParams()
    {
        System.out.println("执行无参方法");
    }
}
