package com.lqkj.system.controller;


import com.lqkj.ApiVersion;
import com.lqkj.common.config.LingWeiConfig;
import com.lqkj.common.core.model.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 首页
 *
 * @author lh
 */
@Api(tags = {"首页"})
@RestController
@RequestMapping("/" + ApiVersion.V1)
public class SysIndexController {
    /**
     * 系统基础配置
     */
    @Autowired
    private LingWeiConfig lingWeiConfig;

    /**
     * 访问首页，提示语
     */
    @ApiOperation("首页详情")
    @GetMapping("/home")
    public ResultUtil index() {
        ResultUtil result = ResultUtil.success();
//        result.put("projectCount", projectInfoService.selectTotalCount());//项目总数
//        result.put("productionCount", knowledgeInfoService.selectTotalCount(1));//产研知识库总数
//        result.put("devopsCount", knowledgeInfoService.selectTotalCount(2));//运维知识库总数
//        result.put("marketingCount", knowledgeInfoService.selectTotalCount(3));//营销知识库总数
//        result.put("dataCount", knowledgeInfoService.selectTotalCount(4));//数据知识库总数
//        result.put("videoCount", videoInfoService.selectTotalCount());//视频总数
//        result.put("productDemandCount", productDemandService.selectTotalCount());//产品需求总数
//        result.put("projectWarningCount", projectInfoService.selectWarningCount());//预警项目总数
//        result.put("projectOverspendingCount", projectInfoService.selectOverspendingCount());//告警(超支)项目总数
//        result.put("testCaseCount", testCaseService.count());//测试用例数
        return result;
    }
}
