ALTER TABLE plan_info ADD COLUMN "cost" VARCHAR(255) NULL;
comment on column plan_info."cost" is '成本';
ALTER TABLE plan_info ADD COLUMN "earnings" VARCHAR(255) NULL;
comment on column plan_info."earnings" is '收益';
ALTER TABLE plan_info ADD COLUMN "total_pct" VARCHAR(255) NULL;
comment on column plan_info."total_pct" is '总占比';
ALTER TABLE plan_info ADD COLUMN "risk" VARCHAR(255) NULL;
comment on column plan_info."risk" is '风险';


ALTER TABLE policy_info ADD COLUMN "file_name" VARCHAR(255) NULL;
comment on column policy_info."file_name" is '文件名';

ALTER TABLE policy_info ADD COLUMN "type_id" INT4 NULL;
comment on column policy_info."type_id" is '类型id';

ALTER TABLE organization_info ADD COLUMN "industry_type" INT4 NULL;
comment on column organization_info."industry_type" is '产业类型';

ALTER TABLE organization_info ADD COLUMN "floor" INT4 NULL;
comment on column organization_info."floor" is '楼层';

ALTER TABLE elevator_info ADD COLUMN "type" INT4 NULL;
comment on column elevator_info."type" is '类型';

ALTER TABLE elevator_info ADD COLUMN "run_floors" VARCHAR(255) NULL;
comment on column elevator_info."run_floors" is '运行楼层';

ALTER TABLE elevator_info ADD COLUMN "run_time" VARCHAR(255) NULL;
comment on column elevator_info."run_time" is '运行时间';

ALTER TABLE equipment_info ADD COLUMN "device_status" int4 NULL;
comment on column equipment_info."device_status" is '使用状态';

ALTER TABLE equipment_info ADD COLUMN "equip_code" VARCHAR(255) NULL;
comment on column equipment_info."equip_code" is '设备编号';

ALTER TABLE equipment_info ADD COLUMN "brand" int4 NULL;
comment on column equipment_info."brand" is '品牌';

ALTER TABLE organization_info ADD COLUMN "house_type_id" int4 NULL;
comment on column organization_info."house_type_id" is '户型id';

ALTER TABLE building_info ALTER COLUMN memo TYPE VARCHAR(9999);


INSERT INTO "public"."equipment_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (1, 0, '监控', 't', 't', NULL, 0, NULL, NULL, NULL);
INSERT INTO "public"."equipment_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (2, 1, '电梯监控', 't', 't', NULL, 0, NULL, NULL, NULL);
INSERT INTO "public"."equipment_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (3, 1, '停车场监控', 't', 't', NULL, 0, NULL, NULL, NULL);
INSERT INTO "public"."equipment_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (4, 0, '充电桩', 't', 't', NULL, 0, NULL, NULL, NULL);
INSERT INTO "public"."equipment_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (5, 1, '重点区域监控', 't', 't', NULL, 0, NULL, NULL, NULL);
INSERT INTO "public"."equipment_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (6, 1, '重点设备监控', 't', 't', '重点设备监控', 0, '重点设备监控', NULL, NULL);
INSERT INTO "public"."equipment_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (7, 1, '电力值班室监控', 't', 't', '电力值班室监控', 0, '电力值班室监控', NULL, NULL);

select setval('equipment_type_type_id_seq', (select max(type_id) from equipment_type));


INSERT INTO "public"."organization_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (1, 0, '人文休闲', 't', 't', '描述', 1, '备注', NULL, '/profile/upload/2024/12/17/53073aa3-c317-4511-b4cd-f7e4957054cf.png,/profile/upload/2024/12/17/1d4ff4d0-444c-4246-b7a1-0a4e2704cb8e.png');
INSERT INTO "public"."organization_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (2, 0, '人文景观', 't', 't', '人文景观', 2, '人文景观', NULL, '/profile/upload/2024/12/17/0a023ac8-7c1c-4d4b-a1c2-79acf45768e2.png,/profile/upload/2024/12/17/08a63535-c88b-41c5-9090-a820ea4a2aa0.png');
INSERT INTO "public"."organization_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (3, 0, '历史景点', 't', 't', '历史景点', 0, '历史景点', NULL, '/profile/upload/2024/12/17/216267af-502a-4cf9-9325-23431d4515f2.png,/profile/upload/2024/12/17/99d961a7-b3ee-4a05-9273-b89bfd6740f0.png');
INSERT INTO "public"."organization_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (4, 0, '商业广场', 't', 't', NULL, 0, NULL, NULL, '/profile/upload/2024/12/17/0bf42bbe-30d6-4280-acd3-8abe8e5a5546.png,/profile/upload/2024/12/17/9ef47d98-202a-4d8c-ab01-85ad4151a8fb.png');
INSERT INTO "public"."organization_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (5, 0, '医疗服务', 't', 't', NULL, 0, NULL, NULL, '/profile/upload/2024/12/17/9dec35e2-3c82-4900-a4e1-7e180bbcbdaa.png,/profile/upload/2024/12/17/3af09672-8481-421a-a48e-95699a78d9c5.png');
INSERT INTO "public"."organization_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (6, 0, '高校', 't', 't', NULL, 0, NULL, NULL, '/profile/upload/2024/12/17/af3207ad-81f0-4d95-b2c6-a3c41c7dc3bd.png,/profile/upload/2024/12/17/5f0147b9-9198-4a1b-9520-ab8572d595b4.png');
INSERT INTO "public"."organization_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (7, 0, '公园', 't', 't', '公园', 0, NULL, NULL, '/profile/upload/2024/12/17/aa8ccffc-6274-4bb7-a798-f85f292dce95.png,/profile/upload/2024/12/17/a5c2cbaa-676d-4a71-9544-a1fb0b786235.png');

select setval('organization_type_type_id_seq', (select max(type_id) from organization_type));




